{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} Settings {% endblock title %}
{% block css %}
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bm/jq-3.6.0/dt-1.12.1/datatables.min.css" />
{% endblock css %}
{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Settings
        </p>
        <p class="subtitle">
            Forex and Daily Allowance
        </p>
    </div>
</section>
<div class="section">
    <div class="columns is-centered">
        <div class="column  is-two-thirds  is-offset-5">
            <div class="block mt-5">
                <p class="title">Forex</p>
                <table class="table">
                    <thead>
                        <tr>
                            <th>Changed On</th>
                            <th>EURO</th>
                            <th>INR</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for ex in forex %}
                            <tr>
                                <td> {{ex.date}}</td>
                                <td>1 EURO</td>
                                <td> {{ex.value}} INR</td>
                                 </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% if user.is_superuser %}
                <div class="is-centered">
                <a href="{% url 'change_forex' %}"> <button class="button is-link ">Change</button></a>
            </div>
            {% endif %}
            </div>
        </div>
    </div>
</div>
    <div class="columns is-centered">
        <div class="column  is-two-thirds  ">
            <div class="block mt-5">
                <p class="title">Daily Allowance</p>
                <table class="table is-bordered is-striped is-narrow is-hoverable is-fullwidth">
                    <thead>
                        <tr>
                            <th>Changed On</th>
                            <th>Urban Day Rate</th>
                            <th>Urban Night Rate</th>
                            <th>Rural Day Rate</th>
                            <th>Rural Night Rate</th>
                            <th>Metropolitan Day Rate</th>
                            <th>Metropolitan Night Rate</th>
                        </tr>
                    </thead>
                    
                    <tbody>
                        {% for dl in daily_allowance %}
                            <tr>
                                <td> {{dl.date}}</td>
                                <td>{{dl.urban_day_rate}} INR</td>
                                <td>{{dl.urban_night_rate}} INR</td>
                                <td>{{dl.rural_day_rate}} INR</td>
                                <td>{{dl.rural_night_rate}} INR</td>
                                <td>{{dl.metro_day_rate}} INR</td>
                                <td>{{dl.metro_night_rate}} INR</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% if user.is_superuser %}
                <div class="is-centered">
                <a href="{% url 'change_daily_allowance' %}"> <button class="button is-link ">Change</button></a>
            </div>
            {% endif %}
            </div>
        </div>
</div>
        
{% endblock content %}